콘텐츠로 건너뛰기

캠페인 통계

getCampaignStats

Anchor link to

특정 기간 동안의 특정 캠페인 통계를 검색합니다.

POST https://api.pushwoosh.com/json/1.3/getCampaignStats

요청 본문 매개변수
Anchor link to
이름
필수유형설명
auth예stringPushwoosh Control Panel의 API 액세스 토큰.
campaign예string고유한 캠페인 코드.
datefrom예string보고 기간의 시작 (형식: Y-m-d H:i:s).
dateto예string보고 기간의 끝 (형식: Y-m-d H:i:s).
요청 예시
Anchor link to
{
"request": {
"auth": "yxoPUlwqm…………pIyEX4H", // 필수. Pushwoosh Control Panel의 API 액세스 토큰
"campaign": "XXXXX-XXXXX", // 필수. 캠페인 코드
"datefrom": "2024-05-01 00:00:00", // 필수. 보고 기간 시작
"dateto": "2024-05-10 23:59:59" // 필수. 보고 기간 끝
}
}
응답 예시
Anchor link to
{
"status_code": 200,
"status_message": "OK",
"response": {
"request_id": "a3ef436445abfdef6255cc2f65ce7614"
}
}

예약된 요청 결과 검색

Anchor link to
getResults 응답 예시
{
"status_code": 200,
"status_message": "OK",
"response": {
"formatter": "hourly",
"rows": [{
"count": 0,
"action": "open",
"datetime": "2024-05-09 00:00:00",
"platformid": 14
}, {
"count": 0,
"action": "send",
"datetime": "2024-05-09 00:00:00",
"platformid": 14
}, {
"count": 0,
"action": "send",
"datetime": "2024-05-11 00:00:00",
"platformid": 14
}],
// 전환 (목표 추적이 허용된 경우)
"conversion": {
"send": 10,
"open": 5,
"events": [{
"uid": 1,
"event": "event name",
"hits": 5,
"conversion": "100%",
"revenue": 15.34
}]
}
}
}